<ion-header>
  <ion-toolbar mode="md">
    <ion-buttons slot="start">
      <ion-button icon-only>
        <img src="assets/imgs/icon.png" alt="" class="app-icon">
      </ion-button>
    </ion-buttons>
    <ion-title>Sales Keep</ion-title>
    <ion-buttons slot="end">
      <ion-button icon-only (click)="settings()">
        <ion-icon name="md-menu" color="primary"></ion-icon>
      </ion-button>
    </ion-buttons>
    
  </ion-toolbar>

  <ion-toolbar>
      <ion-searchbar mode="ios" debounce="500" (ionChange)="search($event)" [(ngModel)]="searchKey"></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content>
  
  <div class="no-items ion-text-center ion-padding" *ngIf="!hasLoaded">    
    <ion-spinner></ion-spinner>
  </div>

  <div class="no-items ion-text-center ion-padding" *ngIf="categories.length === 0 && hasLoaded">
    
    <p>There are no items recorded in database</p>
    <ion-button shape="round" (click)="gotoCategory()">Get Started</ion-button>

  </div>

  <ion-grid *ngIf="categories.length !== 0">
    <ion-row>
      <ion-col size="5" class="category">
        <ion-list>
          <ion-item *ngFor="let category of categories" (click)="getItems(category.id)" lines="none" button="true" [class.selected]="category.id == selectedCategory" [color]="category.id == selectedCategory ? '' : ''">
            <ion-label>
              <h2>{{category.name}}</h2>
            </ion-label>
          </ion-item>          
        </ion-list>
      </ion-col>
      <ion-col size="7" class="items">
        <ion-list [hidden]="searchItems.length">
          <ion-item *ngFor="let item of items" button="true" (click)="buy(item)">
            <ion-label>
              <h2>{{item.name}}</h2>
              <p>{{item.price | currency:' '}}</p>
            </ion-label>
            <ion-badge slot="end" *ngIf="item.cartQuantity">{{item.cartQuantity}}</ion-badge>
          </ion-item>          
        </ion-list>

        <ion-list [hidden]="!searchItems.length">
          <ion-item *ngFor="let item of searchItems" button="true" (click)="buy(item)">
            <ion-label>
              <h2>{{item.name}}</h2>
              <p>{{item.price | currency:' '}}</p>
            </ion-label>
            <ion-badge slot="end" *ngIf="item.cartQuantity">{{item.cartQuantity}}</ion-badge>
          </ion-item>          
        </ion-list>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>

<ion-footer class="buttons" *ngIf="!expired && categories.length !== 0">
  <ion-button class="btn-cart" expand="full" shape="round" mode="ios" (click)="settle()" [disabled]="!cart.quantity">    
    <span class="quantity">{{cart.quantity}} item(s)</span>
    <ion-icon  name="ios-cart"></ion-icon>
    <span class="amount">{{cart.total | currency:' '}}</span>
  </ion-button>

  <ion-button shape="round" mode="ios" fill="clear" (click)="pendingOrders()" *ngIf="payLater">
    <ion-icon  name="ios-cart"></ion-icon>
    <ion-badge color="danger">{{pendingOrderCount}}</ion-badge>
  </ion-button>
</ion-footer>

<ion-footer *ngIf="expired" class="ion-text-center">
  <ion-label color="danger">
    <h2>Your subscription has expired</h2>
  </ion-label>
  <ion-button fill="outline" shape="round" mode="ios" (click)="renew()">    
    Renew
  </ion-button>
</ion-footer>